Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 235794

Summary: gnome-extra/deskbar-applet-2.22.3 failed
Product: Gentoo Linux Reporter: chris <grupowe>
Component: [OLD] GNOMEAssignee: Gentoo Linux Gnome Desktop Team <gnome>
Status: VERIFIED FIXED    
Severity: normal    
Priority: High    
Version: unspecified   
Hardware: AMD64   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Attachments: build.log
enviroment

Description chris 2008-08-26 16:41:02 UTC
...
checking for DESKBAR... yes
checking for gnomeapplet module... no
configure: error: gnomeapplet Python module required to build deskbar
....


Reproducible: Always




emerge --info
Portage 2.1.4.4 (default/linux/amd64/2008.0/desktop, gcc-4.1.2, glibc-2.6.1-r0, 2.6.25-gentoo-r7 x86_64)
=================================================================
System uname: 2.6.25-gentoo-r7 x86_64 AMD Turion(tm) 64 X2 Mobile Technology TL-56
Timestamp of tree: Tue, 26 Aug 2008 15:35:01 +0000
app-shells/bash:     3.2_p33
dev-lang/python:     2.4.4-r6, 2.5.2-r6
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.61-r2
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.23-r3
ACCEPT_KEYWORDS="amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /et
c/terminfo /etc/udev/rules.d"
CXXFLAGS="-O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks metadata-transfer sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="ftp://212.219.56.133/sites/www.ibiblio.org/gentoo/ http://mirror.bytemark.co.uk/gentoo/ ftp://212.
219.56.138/sites/www.ibiblio.org/gentoo/"
LDFLAGS="-Wl,-O1"
LINGUAS="en_GB pl"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --st
ats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X aac acl acpi alsa amd64 berkdb bluetooth branding bzip2 cairo cdr cli cracklib crypt cups dbus dri dvd dvdr
 dvdread eds emboss encode esd evo fam firefox fortran gdbm gif gnome gpm gstreamer gtk hal iconv ipv6 isdnlog jpe
g jpg kde kerberos laptop ldap libnotify mad midi mikmod mmx mp3 mpeg mudflap multilib ncurses nls nptl nptlonly o
gg opengl openmp pam pcre pdf perl png ppds pppd python qt3 qt3support qt4 quicktime readline reflection sdl sessi
on spell spl sse sse2 ssl startup-notification svg sysfs tcpd tiff truetype unicode usb vorbis xml xorg xv zlib" A
LSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hd
a-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw a
sym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw mult
i null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_d
bm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex ca
che dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_c
onfig logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhos
t_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 gl
k hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en_GB pl" USERLAND="GNU" VIDEO_CARDS="nvidia"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, MAKEOPTS, PORTAGE_COMPRESS, PO
RTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY
Comment 1 chris 2008-08-26 16:42:23 UTC
Created attachment 163830 [details]
build.log
Comment 2 chris 2008-08-26 16:42:53 UTC
Created attachment 163831 [details]
enviroment
Comment 3 Arun Raghavan (RETIRED) gentoo-dev 2008-08-26 16:52:48 UTC
Could you verify that dev-python/gnome-python-desktop is installed correctly?
Comment 4 Ben Waldher 2008-08-27 22:51:08 UTC
I solved this by upgrading from gnome-python-desktop-2.16.0 to gnome-python-desktop-2.22.0.

I think it's just a wrong dependency.
Comment 5 chris 2008-08-29 16:06:38 UTC
emerge gnome-python-desktop -pv

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R   ] dev-python/gnome-python-desktop-2.22.0  USE="X eds -debug -doc" 0 kB 

thats help, thanks